import { ICarrier, IQuoteRequestHeaderComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestHeader implements IQuoteRequestHeaderComponent {
    /**
     * Carrier
     */
    carrier: ICarrier;
    /**
     * Custom logo base url
     */
    customLogoBaseUrl: string;
    /**
     * Carrier name
     */
    name: string;
    /**
     * Should show custom logo
     */
    showCustomLogo: boolean;
    /**
     * Should show logo
     */
    showLogo: boolean;
    /**
     * Quote ID
     */
    quoteId: string;
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
